> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.stakaba.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.stakaba.com/_mcp/server.

# Payout

POST https://api.stakaba.com/api/v1/payments/payout
Content-Type: application/json

Reference: https://docs.stakaba.com/api-reference/payments/payout-api-v-1-payments-payout-post

## Request

### Headers

- `x-api-key` (string, optional, nullable)

### Body (application/json)

This endpoint expects a PayoutBody.

- `grossAmount` (integer, required)
- `mobileNumber` (string, required)
- `network` (string, required)
- `currency` (string, optional, default: TZS)
- `metadata` (map from string to any, optional, nullable)
- `notifyUrl` (string, optional, nullable)

## Response

### 201

Successful Response

- `map from string to string`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `ctx` (ValidationErrorCtx, optional)
- `input` (any, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Request**

```json
{
  "grossAmount": 1,
  "mobileNumber": "string",
  "network": "string"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.stakaba.com/api/v1/payments/payout"

payload = {
    "grossAmount": 1,
    "mobileNumber": "string",
    "network": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.stakaba.com/api/v1/payments/payout';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"grossAmount":1,"mobileNumber":"string","network":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.stakaba.com/api/v1/payments/payout"

	payload := strings.NewReader("{\n  \"grossAmount\": 1,\n  \"mobileNumber\": \"string\",\n  \"network\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.stakaba.com/api/v1/payments/payout")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"grossAmount\": 1,\n  \"mobileNumber\": \"string\",\n  \"network\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.stakaba.com/api/v1/payments/payout")
  .header("Content-Type", "application/json")
  .body("{\n  \"grossAmount\": 1,\n  \"mobileNumber\": \"string\",\n  \"network\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.stakaba.com/api/v1/payments/payout', [
  'body' => '{
  "grossAmount": 1,
  "mobileNumber": "string",
  "network": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.stakaba.com/api/v1/payments/payout");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"grossAmount\": 1,\n  \"mobileNumber\": \"string\",\n  \"network\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "grossAmount": 1,
  "mobileNumber": "string",
  "network": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.stakaba.com/api/v1/payments/payout")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```